Bug 1059948 - devscripts: directory traversal flaw in uupdate [fedora-20]
devscripts: directory traversal flaw in uupdate [fedora-20]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: devscripts (Show other bugs)
20
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-1833
  Show dependency treegraph
 
Reported: 2014-01-30 22:13 EST by Murray McAllister
Modified: 2015-01-04 17:38 EST (History)
2 users (show)

See Also:
Fixed In Version: devscripts-2.14.10-1.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-28 02:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-30 22:13:40 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-20 tracking bug for devscripts: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Murray McAllister 2014-01-30 22:13:49 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059947,1059948
Comment 2 Fedora Update System 2014-10-11 13:22:45 EDT
devscripts-2.14.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.14.8-1.fc21
Comment 3 Fedora Update System 2014-10-11 13:22:52 EDT
devscripts-2.14.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/devscripts-2.14.8-1.fc20
Comment 4 Fedora Update System 2014-10-12 09:56:25 EDT
Package devscripts-2.14.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing devscripts-2.14.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12721/devscripts-2.14.8-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-10-13 03:45:44 EDT
devscripts-2.14.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.14.9-1.fc21
Comment 6 Fedora Update System 2014-10-13 03:46:15 EDT
devscripts-2.14.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/devscripts-2.14.9-1.fc20
Comment 7 Fedora Update System 2014-10-15 03:47:00 EDT
devscripts-2.14.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.14.10-1.fc21
Comment 8 Fedora Update System 2014-10-15 03:47:07 EDT
devscripts-2.14.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/devscripts-2.14.10-1.fc20
Comment 9 Fedora Update System 2014-10-28 02:39:52 EDT
devscripts-2.14.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-11-01 12:32:06 EDT
devscripts-2.14.10-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.